Segments
Get the segment filter catalog
Everything filterable in your organization — person attributes, related data, and computed variables — with the token and operators to use for each. Read this first when building a filter.
GET
/
api
/
v1
/
segments
/
catalog
Get the segment filter catalog
curl --request GET \
--url https://www.useboom.ai/api/v1/segments/catalog \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.useboom.ai/api/v1/segments/catalog"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.useboom.ai/api/v1/segments/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"personAttributes": [
{
"attr": "<string>",
"operators": [
"<string>"
],
"description": "<string>"
}
],
"computedVariables": [
{
"attr": "<string>",
"operators": [
"<string>"
],
"description": "<string>",
"label": "<string>",
"group": "<string>"
}
],
"customObjectTypes": [
{
"name": "<string>",
"displayName": "<string>",
"attributes": [
{
"attr": "<string>",
"operators": [
"<string>"
],
"description": "<string>"
}
]
}
],
"reachableObjects": [
{
"typeName": "<string>",
"paths": [
[
{
"customObjectType": "<string>",
"attributeFilters": [
"<unknown>"
],
"relationshipType": "<string>"
}
]
]
}
],
"operatorReference": [
{
"operator": "<string>",
"takesValue": true,
"description": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization API key, sent as Authorization: Bearer boom_org_....
Response
Success
Person columns and custom person attributes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get the segment filter catalog
